@import url("https://fonts.googleapis.com/css2?family=Lato:wght@400;700&family=Rubik:wght@400;500;700&display=swap");

* {
  box-sizing: border-box;
  margin: 0;
  font-family: Rubik, monospace;
  font-size: 1rem;
}
.attribution {
  position: fixed;
  bottom: 0px;
  left: 0px;
  background-color: #ddd;
  border-top-right-radius: 5px;
  padding: 0.5% 1%;
  font-family: Lato, monospace;
  font-size: 0.5rem;
  width: fit-content;
  text-align: left;
  color: black;
}
.attribution a {
  color: black;
  font-size: 1rem;
  font-weight: 700;
}
.attribution p {
  font-size: 1rem;
}
p b,
span {
  font-size: 1rem;
}
.background-container {
  position: relative;
  background-image: url("./images/pattern-bg.png");
  background-repeat: no-repeat;
  background-size: 100% 100%;
  width: 100vw;
  height: 400px;
  color: white;
}
h1 {
  position: absolute;
  top: 15%;
  left: 50%;
  transform: translate(-50%, 50%);
  font-size: 2.5rem;
  font-weight: 500;
}
.search-bar {
  position: absolute;
  top: 30%;
  left: 50%;
  transform: translate(-50%, 50%);
  width: 800px;
  height: 80px;
}

.search-input {
  font-size: 1.5rem;
  padding: 25px;
  width: 720px;
  height: 80px;
  border-radius: 15px 0px 0px 15px;
  border: 0px;
}

.search-btn {
  position: absolute;
  top: 0;
  right: 0;
  cursor: pointer;
  background-color: black;
  width: 80px;
  height: 80px;
  border: 0px;
  border-radius: 0px 15px 15px 0px;
}
.search-btn:hover {
  background-color: rgba(0, 0, 0, 0.8);
}
.infos-display {
  position: absolute;
  top: 40%;
  left: 50%;
  z-index: 2;
  transform: translate(-50%, 50%);
  display: flex;
  flex-direction: row;
  background-color: white;
  width: 80%;
  border-radius: 15px;
  box-shadow: 0px 0px 5px 1px rgba(0, 0, 0, 0.25);
}
.info-container {
  display: flex;
  flex-direction: column;
  width: fit-content;
  padding: 3% 7% 3% 3%;
}
.timezone {
  width: 25%;
  padding: 3% 3% 3% 3%;
}
.vl {
  margin: auto;
  height: 90px;
  border: 1px solid #ddd;
  border-radius: 15px;
}
.title {
  color: hsl(0, 0%, 59%);
  font-variant: small-caps;
  font-weight: 500;
  font-size: 2rem;
}
.info {
  color: hsl(0, 0%, 17%);
  font-size: 2.2rem;
  font-weight: 700;
}
#map {
  position: relative;
  z-index: 0;
  width: 100vw;
  height: calc(100vh - 400px);
}

/*
Big Monitors: +1500px
Desktop: 1500px - 1000px
Tablet: 1000px - 500px
Mobile: -500px
*/

@media (max-width: 1500px) {
  .attribution a {
    font-size: 0.7rem;
  }
  .attribution p {
    font-size: 0.7rem;
  }
  p b,
  span {
    font-size: 0.7rem;
  }
  h1 {
    top: 7%;
    font-size: 1.8rem;
  }
  .background-container {
    height: 250px;
  }
  .search-bar {
    top: 30%;
    width: 500px;
    height: 50px;
  }
  .search-input {
    font-size: 0.8rem;
    padding: 15px;
    width: 450px;
    height: 50px;
    border-radius: 10px 0px 0px 10px;
  }
  .search-btn {
    width: 50px;
    height: 50px;
    border-radius: 0px 10px 10px 0px;
  }
  .infos-display {
    top: 55%;
    left: 50%;
    width: 70%;
  }
  .vl {
    height: 55px;
  }
  .title {
    font-size: 1rem;
  }
  .info {
    font-size: 1.2rem;
  }
  #map {
    height: calc(100vh - 250px);
  }
}
@media (max-width: 1025px) {
  .background-container {
    height: 200px;
  }
  h1 {
    top: 8%;
    font-size: 1.5rem;
  }
  .search-bar {
    top: 35%;
    width: 400px;
    height: 40px;
  }
  .search-input {
    font-size: 0.7rem;
    width: 360px;
    height: 40px;
  }

  .search-btn {
    width: 40px;
    height: 40px;
  }
  .infos-display {
    top: 60%;
    width: 85%;
  }
  .title {
    font-size: 1rem;
  }
  .info {
    font-size: 0.8rem;
  }
  .attribution a {
    font-size: 0.6rem;
  }
  .attribution p {
    font-size: 0.6rem;
  }
  p b,
  span {
    font-size: 0.6rem;
  }
  #map {
    height: calc(100vh - 200px);
  }
}
@media (max-width: 500px) {
  .background-container {
    height: 200px;
  }
  h1 {
    font-size: 1rem;
  }
  .search-bar {
    top: 24%;
    width: 75%;
    height: 40px;
  }
  .search-input {
    font-size: 0.5rem;
    width: 86%;
    height: 40px;
  }
  .search-btn {
    width: 14%;
    height: 40px;
  }
  .infos-display {
    flex-direction: column;
    align-items: center;
    top: 0%;
    width: 75%;
    padding: 2% 0;
  }
  .info-container {
    text-align: center;
    align-items: center;
    padding: 3%;
  }
  .timezone {
    width: fit-content;
  }
  .vl {
    width: 0;
    height: 0;
    border-top: 0px;
  }
  .title {
    font-size: 0.8rem;
    padding-bottom: 5%;
    font-size: 1rem;
  }
  .info {
    font-size: 1rem;
  }
  .attribution a {
    font-size: 0.5rem;
  }
  .attribution p {
    font-size: 0.5rem;
  }
  p b,
  span {
    font-size: 0.5rem;
  }
  #map {
    height: 80vh;
  }
}
@media (max-width: 300px) {
  h1 {
    font-size: 0.9rem;
  }
}
